# &konsole; käsiraamat

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Marek
Laane

    bald@online.ee

Tõlge eesti keelde
2000
2001
2002
&Jonathan.Singer;
2005
Kurt Hindenburg
&FDLNotice;
2005-02-13
1.5

See on rakenduse &konsole; kasutaja käsiraamat.

&konsole; on &kde; X'i terminali emulaator.

KDE
konsool
kdebase
käsk
rida

## &konsole; sissejuhatus

### Mis on terminal?

&UNIX; operatsioonisüsteemid olid algselt loodud ainult tekstipõhiste süsteemidena, mida juhiti klaviatuurikäskudega - seda nimetatakse käsurealiideseks (command-line interface ehk CLI). &X-Window;, &kde; ja muud projektid on hiljem toonud kaasa graafilise liidese, mida sinagi praegu kasutad. Kuid CLI on endiselt alles ning seda kasutatakse päris sageli kui lihtsaimat, kiireimat ja võimsaimat moodust paljude ülesannete sooritamiseks.

&konsole; on X'i terminali emulaator, mida sageli nimetatakse ka terminaliks või shelliks (eesti keeles vahel ka koorik või kest). See pakub võimaluse kasutada töölaual vanamoelist tekstiekraani, mis samas aga suudab muretult jagada ekraani ka graafiliste rakendustega. Windowsi kasutajatele on vahest tuttav MS-DOS Prompt, mis pakub võimalust kasutada DOS-i käsurida &Windows; operatsioonisüsteemis. (Kuigi tasub mainida, et &UNIX; CLI on palju võimsam ja hõlpsam kasutada kui DOS!)

&UNIX; CLI tutvustamine väljub käesoleva käsiraamatu piirest. Õnneks on selle kohta peaaegu igas keeles saadaval nii õhukesi kui pakse käsiraamatuid ja tutvustusi. Õppevahendeid leidub ka internetis. Naudi &kde;d, kuid ära pelga tutvumast ka käsurea võimalustega! Kindlasti leiad, et isegi vaid põhialuste omandamine muudab arvuti kasutamise palju tõhusamaks ja nauditavamaks.

### Mis muudab &konsole; eriliseks?

&konsole; täiustatud võimaluste sekka kuuluvad lihtne seadistamine ja võime kasutada mitut terminalishelli ühes aknas, mis koormab vähem töölauda.

&konsole; abil võib kasutaja avada:

- &Linux; konsooli seansse

- Shelliseansse

- Screen'i seansse

- Failihalduri Midnight Commander seansse

- Administraatori (root) konsooliseansse

- Administraatori (root) Midnight Commanderi seansse

- Kasutaja loodud seansse

Neid seansse võib ka ümber nimetada, et saaksid kõigil shellidel paremini silma peal hoida, või neile signaale saata (STOP, CONT, HUP, INT, TERM, KILL).

&konsole; veelgi põhjalikumaks juhtimiseks saab:

- peita/näidata menüüriba ja/või raami

- valida &konsole; akna suuruse, fondid, värviskeemid ja klahviseosed

- muuta kerimisriba asukohta või see peita

- muuta kaardiriba asukohta või see peita

Kõiki mainitud seadistusi saab salvestades muuta järgmiste seansside jaoks vaikeväärtusteks.

Kes tunneb suuremat huvi vabade X'i terminalide vastu, võib esmalt võtta teadmiseks, et neid on kaht tüüpi: algupärane xterm, mis ulatub isegi X'ist endast varasemasse aega (kuigi vaid paari kuu võrra), ning xvt, xterm'i vähem veli, millele tugineb enamik praegusi terminalirakendusi (eriti näiteks eterm).

&konsole; on üle pika aja täielik terminali ümberkirjutamine algusest peale. Kui xterm on üsna selgelt surmale määratud (juba selle `README` algab sõnadega Kaotage lootus, teie kõik, kes te siia satute), pakub &konsole; uue võimaluse kasutada kaasaegset tehnoloogiat ning X'i kõiki võimalusi.

## &konsole; kasutamine

### Käivitamine

&konsole; käivitamisel töötab rakendus (tüüpiline &UNIX; shell) aknas, kus võib kohe käsureale kirjutama hakata.

&konsole; aken
&konsole; aken

Konsole 4 terminaliseansiga .

Käivitamisel võib ilmuda ka Päeva nõuanne, mis pakub soovitusi &konsole; kasutamiseks. Kui sa ei soovi neid saada, eemalda märge kastist Nõuandeid näidatakse käivitamisel.

### Ajalugu

Kui read üle ekraani kulgevad ja silmist kaovad, saab kadunuid uuesti vaadata kerimisriba ülespoole nihutades kas hiirega või kiirklahvidega &Shift;Page Up (liigub lehekülje võrra tagasi), &Shift;Page Down (liigub lehekülje võrra edasi), &Shift;Nool üles (liigub rea võrra üles) ja &Shift;Nool alla (liigub rea võrra alla) - seda muidugi juhul, kui võimalus Ajalugu on sisse lülitatud.

Lisaks jäljendab &konsole; FreeBSD konsooli käitumist klahvi Scroll Lock vajutamisel. Kui see on sisse lülitatud, on tavapärane shelli sisend ja väljund tõkestatud ning ajaloos võib liikuda klahvidega Page Up, Page down, and Nool üles ja Nool alla.

&konsole; ajalugu saab seadistada menüükäsuga Seadistused Ajalugu...

&konsole; pakub mitmeid ajalooga seotud toiminguid menüüs Redigeerimine.

- Otsi ajaloost...

- Otsi järgmine

- Otsi eelmine

- Salvesta ajalugu faili...

- Tühjenda ajalugu

- Tühjenda kõik ajalood

&konsole; puhul tähendab ajalugu teksti, mida näitab &konsole; aken. Shellil, mis töötab &konsole; raames (nt. bash) on oma ajalugu, mis ei ole seotud &konsole; ajalooga.

### Seansid

Kui sul tuleb sageli logida sisse kaugmasinatele või kasutad reeglina ühesuguseid terminalirakendusi, saab &konsole; seansside võimalust ja &kde; seansihaldust kombineerides oma elu tükk maad hõlpsamaks muuta. Vaatame sellist näidet: sul tuleb sageli avada ssh-seanss masinasse administration, et sooritada mitmesuguseid haldusülesandeid. Oled võib-olla märganud, et &konsole; kaardirea nupul Uus on omaette menüü, kui sellele klõpsates hiirenuppu veidi aega all hoida, ja et sealt saab valida uue seansitüübi. Nüüd lisame sinna uusi kirjeid.

1. Vali menüükäsk Seadistused Konsooli seadistamine...

2. Vali kaart Seanss.

3. Kirjuta kõigepealt nimi, mille all seanssi näidatakse menüüs ja millest saab Shelli asemel sellist tüüpi seanssi avades vaikenimetus.

4. Kirjuta käsk, millega sa muidu avaksid uue shelliühenduse. Toodud näites võiks selleks olla ``ssh` administration`.

5. Dialoogi alumises osas saab seadistada seansi välimust. Igal seansil võib olla erinev font, värviskeem ja $`TERM` tüüp.

6. Klõpsa nuppu Salvesta seanss.... Ilmub dialoog, mis küsib, kas soovid tõesti sellise nimega seansi salvestada.

7. Klõpsa nuppu OK.

Nüüd peaks olema võimalik kaardiribal nuppu Uus klõpsates ja hiirenuppu veidi aega all hoides valida nimekirjast äsja loodud seanss. &konsole; aknas avaneb määratud käsku täites uus shelliseanss. Meie näites peaks ilmuma ssh paroolifraasi ootav viip ja kui annad nüüd paroolifraasi, peaksidki olema end kaugmasinale sisse loginud. Isegi seda sammu on võimalik automatiseerida ssh-agendi abil, kuid see on juba omaette teema. Kui aga näiteks soovid oma http vealogid veebiserverile saata, võid käsureaks määrata midagi sellist: ``ssh` `-f` veebiserver `tail` `-f` `/var/log/httpd-error.log``.

Sama võtet võib kasutada ka kohalike käskude andmiseks. Proovi näiteks luua seanss käsuga ``tail` `-f` `/var/log/messages``. Sellisel juhul sulgeb rakendusest väljumine ühtlasi ka shelliseansi.

Kirjeldatud võtte tore omadus on see, et nii on sul alati kasutada ühesugune avatud seansside valik. &kde; võib kõik need avada automaatselt uut &kde; seanssi käivitades. Selleks jäta need lihtsalt avatuks, kui väljud &kde;st, ning &kde; seansihaldur salvestab need ja taastab täpselt nagu suvalise muu rakenduse &kde; taaskäivitamisel.

Igale seansile saab omistada kiirklahvi.

### Hiirenupud

Selles osas tutvustame hiirenuppude kasutamist, pidades nuppude asetusest rääkides silmas kõige levinumat paremkäelistele mõeldud hiirt. Kui kasutad vasakukäelistele kohandatud hiirt, vaheta lihtsalt teksti parem ja vasak ära.

Vasak

  Klõps &HVN;ga edastatakse &konsole;s töötavale rakendusele sündmusena, kui rakendus tunnustab hiirt. Kui rakendus hiireklõpsudele reageerib, annab &konsole; sellest teada noolekujulise kursoriga, kui mitte, siis on näha I- ehk tulbakujuline kursor.

  Kui hoida &HVN; all ja hiirt üle ekraani lohistada, saab hiirt mittetunnustavates rakendustes märkida ära tekstibloki. Lohistamise ajal näidatakse märgitud teksti ka visuaalselt. Märgitud teksti kopeerimiseks lõikepuhvrisse, kus seda saab kasutada &konsole;s või mõnes muus rakenduses, vali käsk Kopeeri menüüst Redigeerimine. Valitud teksti saab ka sobivasse rakendusse otse lohistada. Selleks klõpsa valitud tekstil ja lohista see soovitud kohta (sõltuvalt &kde; seadistustest võib olla vajalik hoida lohistamise ajal all klahvi &Ctrl;).

  Tavaliselt lisatakse iga valitud rea lõppu reavahetuse märk. See tuleb eriti kasuks lähtekoodi või mõne käsu väljundi lõikamisel ja asetamisel. Tavalise teksti korral ei ole reavahetused nii olulised. Mõni võib isegi eelistada, et tekst oleks märgijada, mida automaatselt vormindatakse rakenduses, kuhu see asetatakse. Sellise režiimi valimiseks hoia tavalisel valimisel all klahvi &Ctrl;.

  Kui ühes &HVN;ga hoida all klahve &Ctrl; ja &Alt;, saab valida tekstiveeru.

  Topeltklõps &HVN;ga valib sõna, kolmikklõps terve rea.

  Kui märkimise ajal puudutatakse tekstiala ülemist või alumist serva, kerib &konsole; ekraani üles või alla, näidates teksti oma ajaloopuhvrist. Kerimine peatub koos hiire liikumise peatumisega.

  Kui hiir lahti lasta, püüab &konsole; hoida lõikepuhvris olevat teksti nähtavana, värvides märgitud ala. See kaotab värvi niipea, kui lõikepuhvri sisu muutub, märgitud alas teksti muudetakse või klõpsatakse &HVN;ga.

  Teksti märkimiseks hiirt tunnustavates rakendustes (näiteks Midnight Commander) tuleb klõpsamise ajal vajutada ka klahvi &Shift;.

Keskmine

  Klõps &HKN;ga asetab parajasti lõikepuhvris oleva teksti. Kui &HVN;ga klõpsamie ajal hoida all klahv &Ctrl;, asetatakse tekst ja saadetakse see &konsole;le.

  Kui kasutad ainult kahe nupuga hiirt, tuleb &HVN; ja &HPN; korraga all hoida, et imiteerida klõpsu &HKN;ga.

  Kui sul on keskmise nupu rolli määratud hiireratas, kerib selle liigutamine hiirt mittetunnustavates rakendustes &konsole; kerimisriba.

Parem

  See, milliseid elemente näeb &HPN;ga klõpsates ilmuvas menüüs, sõltub sellest, kas menüüriba on nähtav või mitte.

  Kui menüüriba on nähtav: Valiku lõpp, Kopeeri, Aseta, Saada signaal, Haagi seanss lahti, Nimeta seanss ümber..., Järjehoidjad ja Sulge seanss.

  Kui menüüriba pole nähtav: Menüüriba näitamine, Valiku lõpp, Kopeeri, Aseta, Saada signaal, Uus seanss, Haagi seanss lahti, Nimeta seanss ümber..., Järjehoidjad, Seadistused ja Sulge seanss.

  Hiirt tunnustava rakenduse korral avab kontekstimenüü üheaegne klahvi &Shift; vajutamine ja klõps &HPN;ga.

  Menüü Seanss saab avada, kui üheaegselt vajutada klahvi &Ctrl; ja klõpsata &HPN;ga.

### Menüüriba

Menüüriba asub &konsole; akna ülaservas. Selle saab aktiveerida ja deaktiveerida klahviga &Alt;.

Menüüriba saab peita menüükäsuga Seadistused Menüüriba näitamine. Kui menüüriba on peidetud, saab käsku Menüüriba näitamine kasutada hiire parema nupu klõpsuga aknas või kiirklahviga &Alt;&Ctrl;M, mis on ka vaikimisi kiirkorraldus menüüriba aktiveerimiseks. Menüüriba näitamist saab soovi korral lülitada ka sellele meelepärast kiirklahvi omistades.

#### Menüü Seanss

Seanss Uus shell

  Avab uue seansi terminalishellis. Sama tulemuse annab &Alt;&Ctrl;N.

Seanss Uus Linuxi konsool

  Avab uue seansi, emuleerides ainult tekstipõhist &Linux; süsteemi.

  Täpsemalt saab seda, kuidas &Linux; konsool erineb tüüpilisest &UNIX; konsoolist, saab lugeda &konsole; lähtetekstipaketis olevast failist `README.linux.console`. Kui see sulle korda ei lähe, ei pruugi sa oma pead sellega ka vaevata.

Seanss Uus Midnight Commander

  Avab uue seansi graafilise failisirvijaga Midnight Commander.

  Seda menüükäsku näeb ainult siis, kui süsteemi on paigaldatud Midnight Commander (`mc`).

Seanss Uus administraatori shell

  Avab uue seansi terminalishelliga, mille kasutajaks on administraator (root).

  Pärast administraatori (root) parooli küsimist, ilmub viip #, mis annab märku, et kasutaja töötab administraatori (root) õigustega. Seda on sageli vaja uue tarkvara paigaldamiseks ja muudeks süsteemi hooldamise vajadusteks, kuid igatahes peaks selle võimaluse kasutamisega olema äärmiselt ettevaatlik, sest nii võib tekkida ka ääretu kahju.

Seanss Uus administraatori Midnight Commander

  Avab uue seansi graafilise failisirvijaga Midnight Commander, mille kasutajaks on administraator (root).

  Pärast administraatori (root) parooli küsimist, ilmub viip #, mis annab märku, et kasutaja töötab administraatori (root) õigustega. Seda on sageli vaja uue tarkvara paigaldamiseks ja muudeks süsteemi hooldamise vajadusteks, kuid igatahes peaks selle võimaluse kasutamisega olema äärmiselt ettevaatlik, sest nii võib tekkida ka ääretu kahju.

  Seda menüükäsku näeb ainult siis, kui süsteemi on paigaldatud Midnight Commander (`mc`).

Seanss Uus Screen'i seanss

  Avab uue seansi virtuaalse terminalihalduriga Screen. Täpsemat infot leiab käsuga ``man` `screen``.

  Seda menüükäsku näeb ainult siis, kui süsteemi on paigaldatud Screen (`screen`).

Seanss Uus shell järjehoidjast

  Käivitab uue terminalishelli järjehoidjate nimekirjast valitud kataloogis.

Seanss Trüki ekraan...

  Trükib käesoleva ekraani.

Seanss Sulge seanss

  Sulgeb käesoleva seansi.

Seanss Välju

  Väljub &konsole;st, sulgedes kõik seansid ja neist käivitatud rakendused.

Uue seansi saab käivitada ka kiirklahviga. Vaikimisi on selleks &Alt;&Ctrl;N. Määrata võib ka oma kiirklahvi, kasutades menüükäsku Seadistused Kiirklahvide seadistamine....

Saadaolevate seansside nimekiri võib olla erinev vastavalt sellele, millised programmid on lisaks kasutaja määratud seanssidele masinasse paigaldatud. Nimekiri on parema ülevaate saamiseks esitatud tähestikulises järjekorras.

Lõpuks arvesta ka seda, et seansitüüpe saab muuta ning luua uusi seadistustedialoogis (Seadistused Konsooli seadistamine...).

#### Menüü Redigeerimine

Redigeerimine Kopeeri

  Kopeerib valitud teksti lõikepuhvrisse.

Redigeerimine Aseta

  Asetab teksti lõikepuhvrist kursori asukohta.

Redigeerimine Saada signaal

  Saadab valitud signaali shelliprotsessile või mõnele muule protsessile, mis käivitati uue seansi käivitamisega.

  Praegu saab kasutada signaale:

  STOP | peatab protsessi
  CONT | jätkab, kui on peatatud
  HUP | juhtivas terminalis tuvastati hangumine või juhtiva protsessi surm
  INT | katkestus klaviatuurilt
  TERM | lõpetamise signaal
  KILL | tapmise signaal
  USR1 | kasutaja signaal 1
  USR2 | kasutaja signaal 2

  Täpsemat infot vaata oma süsteemi manuaalilehekülgedelt käsuga ``man` `7 signal``.

Redigeerimine Saada ZModemiga...

  Saadab faili ZModemi vahendusel.

Redigeerimine Puhasta terminal

  Eemaldab seansiaknast kogu teksti.

Redigeerimine Lähtesta ja puhasta terminal

  Eemaldab seansiaknast kogu teksti ja lähtestab akna.

Redigeerimine Otsi ajaloost...

  Otsib olemasolevas ajaloos sõna või tekstistringi. Võimalik on tõstutundlik või tagasisuunas otsimine, samuti regulaaravaldiste kasutamine. Klõps nupul Redigeeri avab &kde; graafilise regulaaravaldiste loomise redaktori.

Redigeerimine Otsi järgmine

  Liigub otsitava teksti järgmisele esinemiskohale.

Redigeerimine Otsi eelmine

  Liigub otsitava teksti eelmisele esinemiskohale.

Redigeerimine Salvesta ajalugu faili...

  Salvestab olemasoleva ajaloo tekstifailina.

Redigeerimine Tühjenda ajalugu

  Tühjendab käesoleva seansi ajaloo.

Redigeerimine Tühjenda kõik ajalood

  Tühjendab kõigi seansside ajaloo.

#### Menüü Vaade

Vaade Haagi seanss lahti

  Avab aktiivse seansi eraldi aknas. Seansi nime näeb uue akna tiitliribal.

Vaade Nimeta seanss ümber...

  Avab dialoogi, kus saab muuta käesoleva seansi nime. Nime näidatakse seansi kaardil. Sama tulemuse annab kiirklahv &Alt;&Ctrl;S .

Vaade Jälgi aktiivsust

  Märgib käesoleva seansi, nii et see näitab teadet, kui toimub mingi tegevus. Seansi kaardile ilmub väikese elektripirni kujuline ikoon. Nii saab teada millegi toimumisest, kui näiteks parajasti töötatakse teises seansis. Aega, mida loetakse vaikuseks, saab muuta &konsole; seadistustedialoogis.

Vaade Jälgi vaikust

  Märgib käesoleva seansi, nii et see näitab teadet, kui 10 sekundi jooksul midagi ei juhtu. Seansi kaardile ilmub tumedat värvi elektripirni kujuline ikoon. Nii saab teada, kui mingi ülesande täitmine katkeb, kui ise töötad samal ajal teises seansis. Aega, mida loetakse vaikuseks, saab muuta &konsole; seadistustedialoogis.

Vaade Saada sisend kõigile seanssidele

  Märgib käesoleva seansi, nii et kõik selles antud käsud saadetakse kõigile seanssidele. Seansi kaardile ilmub väike ikoon, mis meenutab, et peaksid hoolikalt kaaluma antavaid käske! Näiteks ``rm``-rf`` ei ole arvatavasti üldse hea mõte.

Vaade Liiguta seanss vasakule

  Liigutab käesoleva seansi kaardi ühe sammu võrra vasakule.

Vaade Liiguta seanss paremale

  Liigutab käesoleva seansi kaardi ühe sammu võrra paremale.

  Seansside vahel saab liikuda ka kiirklahvidega &Shift;Nool vasakule ja &Shift;Nool paremale.

Vaade Seansi ikoonid...

  Menüü lõpetab olemasolevate seansside nimekiri. Neist mõne valimine aktiveerib antud seansi.

  Olemasolevate seansside läbikerimiseks saab kasutada ka kiirklahve &Shift;Nool vasakule ja &Shift;Nool paremale.

#### Menüü Järjehoidjad

Järjehoidjad Lisa järjehoidja

  Lisab käesoleva asukoha järjehoidjate nimekirja.

Järjehoidjad Redigeeri järjehoidjaid

  Võimaldab redigeerida järjehoidjate nimekirja.

Järjehoidjad Uus järjehoidjate kataloog...

  Lisab uue kataloogi järjehoidjate nimekirja.

Järjehoidjate nimekirja näidatakse menüü lõpus. Mingile asukohale liikumiseks vali vastav järjehoidja.

Kaugühenduste avamiseks võib järjehoidjate redaktoris käsitsi lisada URL-id, näiteks ssh://kasutaja@masin või telnet://masin.

#### Menüü Seadistused

Seadistused Menüüriba peitmine

  Peidab menüüriba.

Seadistused Kaardiriba

  Määrab kaardiriba näitamise ja asukoha: peidetud, ülal või all.

Seadistused Kerimisriba

  Määrab kerimisriba näitamise ja asukoha: peidetud, vasakul või paremal.

Seadistused Täisekraan

  Lülitab akent täisekraani ja tavalise suuruse vahel.

Seadistused Signaal

  Määrab signaali: süsteemne signaal, süsteemne märguanne, visuaalne signaal või puudub.

Seadistused Font

  Määrab fondi suuruse: normaalne, pisike, väike, keskmine, suur, hiiglaslik.

  Konsoolifondi kasutamiseks vali Linux.

  Fikseeritud fondi kasutamiseks vali Unicode.

  Suvalise fondi, selle suuruse ja stiili kombinatsiooni kasutamiseks vali Kohandatud.

Seadistused Kodeering

  Võimaldab valida kodeeringu.

Seadistused Klaviatuur

  Võimaldab valida meelepärase klaviatuuri.

  Klaviatuuride nimekiri on võetud failidest `$KDEDIR/share/apps/konsole/*.keytab`. Täpsemalt kirjeldab klaviatuurifailide vormingut fail `$KDEDIR/share/apps/konsole/README.KeyTab`. Lisa või muuda neid faile vastavalt oma vajadustele. Vaikimisi kasutatakse faili `$KDEDIR/share/apps/konsole/README.default.Keytab`.

Seadistused Skeem

  Määrab teksti ja tausta värvi.

  Skeemide nimekiri on võetud failidest `$KDEDIR/share/apps/konsole/*.schema`. Täpsemalt kirjeldab skeemifailide (`*.schema`) vormingut fail `$KDEDIR/share/apps/konsole/README.Schema`. Lisa või muuda neid faile vastavalt oma vajadustele. Saab ka luua omaenda skeeme, kasutades menüükäsku Seadistused Konsooli seadistamine....

Seadistused Suurus

  Määrab tekstiala suuruse (veergudes ja ridades).

Seadistused Ajalugu...

  Avab dialoogi, kus saab seadistada ajaloopuhvrit. Kasti Lubatud abil saab määrata, kas ridu, mis on ekraanilt välja jooksnud, salvestatakse või mitte. Ridade arv võimaldab otse tekstikasti sisestada, mitu rida meelde jäetakse, samuti saab kerimisnuppude abil arvu sajakaupa suurendada või vähendada. Nupp Vaikeväärtused lülitab ridade arvu vaikeväärtusele, milleks on 1000 rida. Kui klõpsata Säti piiramatuks, salvestatakse kogu ajalugu. Klõps nupul OK salvestab tehtud muutused, klõps nupul Loobu sulgeb dialoogi ilma muudatusi salvestamata.

Seadistused Salvesta vaikeväärtusena

  Salvestab parajasti kehtivad seadistused uue vaikeväärtusena.

Seadistused Salvesta seansside profiil...

  Salvesta käesolevad seansid meelepärase nimega. Hiljem saab profiili kasutada näiteks &konsole; käivitamisel käsurealt võtmega `--profile`, lisades sellele profiili nime.

Seadistused Märguannete seadistamine...

  Võimaldab kohandada &konsole; märguandeid.

Seadistused Kiirklahvide seadistamine...

  Võimaldab kohandada &konsole; käskude kiirklahve.

Seadistused&konsole; seadistamine...

  Avab &kcontrolcenter;e mooduli, kus saab muuta paljusid &konsole; käitumise ja väljanägemise omadusi, sealhulgas ka luua omaenda skeeme ning muuta olemasolevaid seansse.

#### Menüü Abi

Abi Konsooli käsiraamat...

  Avab käesoleva käsiraamatu sisukorra.

Abi Päeva nõuanne...

  Näitab &konsole; kasutamise kohta käivat nõuannet. Kui soovid seda näha igal &konsole; käivitamisel, märgi ära kast Nõuandeid näidatakse käivitamisel.

Abi Saada vearaport...

  Võimaldab saata veateate või mõne soovi &konsole; kohta.

Abi Konsooli info...

  Info &konsole; autori kohta

Abi KDE info...

  Info KDE projekti kohta

### Kaardiriba

Kaardiriba võimaldab koondada mitu terminaliseanssi ühte &konsole; aknasse.

Kaardiriba
Kaardiriba

Konsole 4 terminaliseansiga ja all paikneva kaardiribaga.

Menüükäsuga Seadistused Kaardiriba on võimalik lasta kaardiriba näidata üleval või all. Soovi korral võib kaardiriba olla ka peidetud.

Kaardiriba vasakus servas on nupp, mis võimaldab ette võtta mitmeid toiminguid.

- Klõps nupule käivitab uue standardseansi.

- Klõps ja nupu allhoidmine avab seansside nimekirja.

- Nupule (või kaardiriba tühjale alale) hiire parema nupuga klõpsates ilmub mitme võimalusega hüpikmenüü:

  - Kaardiriba: Peidetud, Üleval, All.

  - Kaardi valikud: Tekst ja ikoonid, Ainult tekst, Ainult ikoonid.

  - Dünaamiline peitmine varjab kaardiriba, kui avatud on ainult üks seanss.

  - Kaartide suuruse automaatne muutmine muudab kaartide suurust automaatselt, et need täidaksid kogu kaardiriba laiuse.

Kaardiriba paremas servas asub nupp, millele klõpsates saab aktiivse seansi sulgeda. Seda nuppu ei saa kasutada, kui avatud on ainult üks seanss.

Hiire parema nupuga kaardile klõpsates avaneb teistsugune menüü:

- Haagi seanss lahti

- Nimeta seanss ümber...

- Jälgi aktiivsust

- Jälgi vaikust

- Saada sisend kõigile seanssidele

- Lülitu kaardile...

- Sulge seanss

### Käsurea võtmed

Kui &konsole; käivitatakse käsurealt, saab selle käitumist muuta mitme võtme abil.

`--help`

  Näitab võtmete nimekirja.

`-e` `käsk`

  Käivitab shelli asemel `käsu`.

  Kõik argumendid pärast `käsku` edastatakse juba `käsule`, mitte enam &konsole;le.

`--keytab` `fail`

  Käivitab &konsole; määratud .keytab-failiga, mis määrab klaviatuuri.

`--keytabs`

  Näitab kõigi saadaolevate klaviatuuride nimekirja.

`--ls`

  Käivitab sisselogimisshelli keskkonna. Täpne käitumine sõltub süsteemist, kuid üldiselt tähendab see faili `~/.profile` või `~/.bash_profile` lugemist (kui sa sellest aru ei saa, ei ole vaja muret tunda, kuid siiski tasub seda meeles pidada, sest ükskord võib ju ka sellist asja vaja minna).

`--name` `nimi`

  Määrab tiitliribal näidatava nime.

`--noclose`

  Väldib &konsole; sulgemist, kui ainult ühe seansiakna korral antakse käsk ``exit``.

`--noframe`

  Käivitab &konsole; ilma raamita.

`--nohist`

  Keelab aknast välja liikunud ridade salvestamise.

`--nomenubar`

  Käivitab &konsole; ilma menüüribata.

`--noresize`

  Keelab terminaliakna suuruse muutmise.

`--noscrollbar`

  Käivitab &konsole; ilma kerimisribata.

`--notabbar`

  Käivitab &konsole; ilma kaardiribata.

`--noxft`

  Käivitab &konsole; ilma Xft antialiaseta. Väikest fonti võib antialiase kasutamisel olla raske lugeda.

`--profile` `fail`

  Käivitab &konsole; salvestatud seansside valikuga.

`--profiles`

  Näitab kõigi saadaolevate profiilide nimekirja.

`--schema` `nimi` | `fail`

  Käivitab &konsole; parameetriga 'nimi' või 'fail' määratud .schema-failiga, mis määrab väljanägemise.

`--schemata`

  Näitab kõigi saadaolevate skeemide nimekirja.

`--script`

  Lülitab sisse laiendatud &DCOP; &Qt; funktsioonid.

`-T` `tiitel`

  Määrab akna tiitli.

`--tn` `terminal`

  Määrab keskkonnamuutuja TERM väärtuse. Täpsemat infot muutuja TERM kohta leiab käsuga ``man` `xterm`` .

`--type` `tüüp`

  Käivitab vaikeseansi asemel määratud tüüpi seansi.

`--types`

  Näitab kõigi saadaolevate seansitüüpide nimekirja.

`--vt_sz` `CCxLL`

  Käivitab terminaliakna CC veeru ja LL rea suurusena.

`--workdir` `kataloog`

  Avab `kataloog`i töökataloogina.

Näited:

    &percnt; konsole --vt_sz 90x25 --nohist

käivitab &konsole; akna mõõtmetega 90 veergu ja 25 rida ning ilma ajaloopuhvrita

    &percnt; konsole --noclose -e echo_args Tere! Täname sind Konsole kasutamise eest!

käivitab &konsole; akna, näidates seal teksti 'Tere! Täname sind Konsole kasutamise eest!'

`echo_args` on lihtne Bashi skript:

    #!/bin/bash
    echo $*

&konsole; tunnistab ka tavalisi &Qt; ja &kde; võtmeid:

`--help-qt`

  Qt spetsiifiliste võtmete nimekiri

Järgmised &Qt; võtmed &konsole;s ei toimi:

`--fn`, `--font` `fondinimi`

  Määrab rakenduse fondi

`--bg`, `--background` `värv`

  Määrab vaikimisi taustavärvi

`--fg`, `--foreground` `värv`

  Määrab vaikimisi esiplaani värvi

`--btn`, `--button` `värv`

  Määrab vaikimisi nupu värvi

`--help-kde`

  KDE spetsiifiliste võtmete nimekiri

`--help-all`

  Kõigi võtmete nimekiri

`--author`

  Näitab autorite nimesid

`-v,--version`

  Näitab versiooni

`--license`

  Näitab litsentsiinfot

### DCOP

Sissejuhatust &DCOP;-i ja käsu `dcop` kasutamisse vaata palun kssutaja käsiraamatu vastavast osast.

## Autorid ja autoriõigus

Alates &kde; 3.4 on &konsole; hooldaja &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

&konsole; varasem hooldaja oli &Waldo.Bastian; &Waldo.Bastian.mail;

Rakenduse &konsole; autoriõigus © 1997-2005: &Lars.Doelle; &Lars.Doelle.mail;

Käsiraamatu kirjutas &Jonathan.Singer; &Jonathan.Singer.mail;

Käsiraamatu uuendas &kde; 3.4 tarbeks &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

DocBook SGML vormingusse teisendasid &Mike.McBride; ja &Lauri.Watts;

Tõlge eesti keelde: Marek Laane bald@online.ee

&underFDL; &underGPL;

## &konsole; mitte-&Linux; platvormidel

Info &konsole; kasutamise kohta muudel platvormidel kui &Linux; leidub &konsole; lähtetekstipaketis failis `README.ports`. Seal on toodud nimekiri konkreetsete platvormide (Tru64, &Solaris;, OpenBSD) ekspertidest ning soov leida vabatahtlikke muude &UNIX; platvormide portide jaoks.

Täpsemat infot annavad järgmised veebileheküljed:

- KDE FreeBSD-l

- KDE Solarisel

&documentation.index;